Subject: [xrblock] AD evaluation: draft-ietf-xrblock-independent-burst-gap-discard-01

From: Alissa Cooper <[email-masked]>
Date: Tue, 17 May 2016 10:26:42 -0700

I have reviewed this document in preparation for IETF last call. Overall it looks good. I have just one question I’d like to discuss before issuing the LC.

Both RFC 6958 and RFC 7002 mention security considerations that are not mentioned in this document. But it seems like similar considerations apply to this block. Why are these not discussed in Section 7?

There are also a few nits that should be resolved together with any last call comments:

= Section 1.1 =

s/the method used to distinguish between bursts and gaps shall use/the method used to distinguish between bursts and gaps uses/

= Section 2 =

In retrospect it would have been nice to have all of these terms defined once in one document that the other documents could have referred to. Not sure it makes sense to change course now, although it seems you could just refer to the definitions in RFC 7003 rather than repeating them here.

= Section 4 =

s/the burst and gap duration shall be determined as if/the burst and gap duration is determined as if/

= Section 6.3 =

s/[email-masked]/[email-masked]/

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 18 May 2016 11:49:47 +0000

Thanks, Alissa, for the AD review.

I agree that the Security Considerations need to be aligned with the respective sections of RFC 6958 and RFC 7002 respectively.

On terminology – I would rather keep the section verbose as it is now. We discussed this in the past  and reached the conclusion that it’s preferable to not create (more) dependencies between the different metrics documents.

Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Alissa Cooper
Sent: Tuesday, May 17, 2016 8:27 PM
To: xrblock
Subject: [xrblock] AD evaluation: draft-ietf-xrblock-independent-burst-gap-discard-01

= Section 1.1 =

= Section 2 =

= Section 4 =

= Section 6.3 =

s/[email-masked]<mailto:[email-masked]>/[email-masked]/

---

From: Varun Singh <[email-masked]>
Date: Thu, 19 May 2016 03:49:47 +0300

Hi Alissa,

Thank you for the review. My comments are inline.

On Tue, May 17, 2016 at 8:26 PM, Alissa Cooper <[email-masked]> wrote:
> I have reviewed this document in preparation for IETF last call. Overall it
> looks good. I have just one question I’d like to discuss before issuing the
> LC.
>
> Both RFC 6958 and RFC 7002 mention security considerations that are not
> mentioned in this document. But it seems like similar considerations apply
> to this block. Why are these not discussed in Section 7?
>

I believe this might have been carried through from RFC7003, which has
the same text.

However, adding the considerations from RFC6958 + RFC7003 is more
appropriate here.
I will send a proposal before the end of next week.

> In retrospect it would have been nice to have all of these terms defined
> once in one document that the other documents could have referred to. Not
> sure it makes sense to change course now, although it seems you could just
> refer to the definitions in RFC 7003 rather than repeating them here.
>

Keeping the definitions here would avoid confusion of reading two
specs to implement this.
Although, I do not feel strongly about this.

Will fix the other nits.

-Varun

-- 
http://www.callstats.io